petsc-3.10.5 2019-03-28
Report Typos and Errors

# VecScatterRemap

Remaps the "from" and "to" indices in a vector scatter context. FOR EXPERTS ONLY!

### Synopsis

    #include "petscvec.h"
    PetscErrorCode  VecScatterRemap(VecScatter scat,PetscInt tomap[],PetscInt frommap[])

Collective on VecScatter

### Input Parameters

| scat | - vector scatter context
| tomap | - remapping plan for "to" indices (may be NULL).
| frommap | - remapping plan for "from" indices (may be NULL)

### Notes

In the parallel case the todata contains indices from where the data is taken (and then sent to others)! The fromdata contains indices from where the received data is finally put locally.

In the sequential case the todata contains indices from where the data is put and the fromdata contains indices from where the data is taken from. This is backwards from the paralllel case!

### Level

developer

### Location

src/vec/vscat/interface/vscatfce.c
Index of all Vec routines
Table of Contents for all manual pages
Index of all manual pages